body {
    --mdc-theme-primary: #6200ee;
    --mdc-theme-secondary: #414e7e;
    --mdc-dialog-z-index: 100;
}

.mdc-snackbar {
    z-index: 102 !important;
}

.mdc-menu.mdc-menu-surface {
    z-index: 101;
}

.uv-mdc-full-width {
    width: 100%;
}

.mdc-form-field.uv-mdc-radiofield--vertical {
    flex-direction: column;
    align-items: start !important;
}

.mdc-form-field.uv-mdc-radiofield--horizontal {
    flex-direction: row;
    justify-content: start;
}

@keyframes placeholder {
    from {
    }
    to {
    }
}

/* Everything that needs DOM insertion tracking should be placed here. */
[data-append-event],
.mdc-icon-button {
    animation: placeholder 0s;
}

.mdc-radio {
    vertical-align: middle;
}

.mdc-radio + label {
    vertical-align: middle;
    display: inline-block;
    height: 100%;
}

.mdc-list .mdc-list-group__subheader {
    margin: 0;
    padding: 2px 16px;
    background-color: #ddd;
    color: #000;
    font-weight: bold;
}

.bullet {
    margin: 0 0.5em;
}

.mdc-dialog__title {
    margin-bottom: 8px !important;
}

.mdc-dialog__actions {
    font-family: "Roboto", sans-serif;
}

.mdc-icon-button,
.mdc-list-item {
    --mdc-ripple-hover-opacity: 0.14;
}

.mdc-icon-button {
    position: relative;
}

/* Tooltip background color */
.mdc-tooltip__surface {
    background-color: rgba(0, 0, 0, 0.8) !important;
    text-align: center !important;
}

.mdc-list .mdc-list-header {
    background: #ddd;
    font-size: small;
    line-height: 2em;
    height: 2em;
}

.mdc-list-item {
    /** odd bug */
    align-items: center !important;
}

.uv-mdc-subtitle {
    color: gray;
    letter-spacing: 0;
    font-size: small;
    line-height: 1.25em;
}

.uv-mdc-cardTitle {
    color: black;
    letter-spacing: normal;
    font-size: large;
    font-weight: 500;
}

.uv-mdc-cardSubtitle {
    color: black;
    letter-spacing: normal;
    font-size: small;
    line-height: 1.25em;
}

.uv-mdc-dialog-helperText {
    margin-right: auto;
    padding: 16px 0;
}

@media (max-width: 1165px) {
    .uv-mdc-dialog-helperText {
        display: none;
    }
}

.uv-sortable {
    margin: 0;
    width: 100%;
}

.uv-sortable > li {
    list-style: none;
}

.uv-sortable > .sortable-chosen {
    z-index: 100;
    border-radius: 0.5em;
    transition: all 0.2s ease;
    background-color: rgba(0, 0, 0, 0.1);
    box-shadow: 0 5px 5px 0 rgba(0, 0, 0, 0.2);
}

.uv-sortable-drag {
    opacity: 0;
}

@media (max-width: calc(30em + 2 * 24px /* dialog padding */ + 32px /* dialog spacing */)) {
    .uv-mdc-input-dialog .mdc-text-field {
        min-width: calc(280px - 2 * 24px);
        width: calc(
            100vw - 2 * 24px /* dialog padding */ - 32px /* dialog spacing */
        );
    }
}

@media (min-width: calc(30em + 2 * 24px /* dialog padding */ + 32px /* dialog spacing */)) {
    .uv-mdc-input-dialog .mdc-text-field {
        width: 30em;
    }
}
